For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create or update a customer

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Integration APIs space of our documentation.

Looking to link customers to segments?

Use the manage-segments API under the /customers endpoint.

Create or update a customer

post
Authorizations
AuthorizationstringRequired
Body
Responses
200

200

application/json
post/customers
POST /v1/customers HTTP/1.1
Host: integration-BASE-URL.citrusad.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "customers": [
    {
      "gender": "text",
      "id": "text",
      "postcode": "text",
      "suburb": "text",
      "targetingData": [
        {
          "key": "value"
        }
      ],
      "teamId": "text",
      "yearOfBirth": 1
    }
  ]
}
{
    "customers": [
        {
            "targetingData": {
                "string": "string"
            },
            "gender": "string",
            "teamId": "string",
            "postcode": "string",
            "suburb": "string",
          "id": "string, 
					"segmentIds": [
                "string", "string"
            ],
            "yearOfBirth": "integer"
        }
    ]
}